<?php

declare(strict_types=1);

namespace App\Filament\Resources\DberpSuppliers\Pages;

use App\Filament\Resources\Concerns\InteractsWithDberpRegionAddress;
use App\Filament\Resources\DberpSuppliers\DberpSupplierResource;
use App\Filament\Resources\Pages\CreateRecord;

class CreateDberpSupplier extends CreateRecord
{
    use InteractsWithDberpRegionAddress;

    protected static string $resource = DberpSupplierResource::class;

    protected function mutateFormDataBeforeCreate(array $data): array
    {
        return $this->mutateDberpRegionFormDataBeforePersist($data);
    }
}